Steps
Managing test steps
Create a new step.
Token-based authentication with required prefix "Token"
Request body failed validation.
Authentication credentials were missing or invalid.
POST /api/v2/steps/ HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 279
{
"atIndex": null,
"type": "text",
"name": null,
"blockId": null,
"groupId": null,
"notes": null,
"isActive": true,
"runTimeout": null,
"sleep": null,
"waitingConditions": [
{
"type": "documentComplete",
"expected": null,
"isActive": true,
"isOverridden": true,
"timeout": null
}
],
"source": "api",
"value": "text"
}{
"id": "123e4567-e89b-12d3-a456-426614174000",
"type": "text",
"name": null,
"blockId": null,
"groupId": null,
"originGroupId": "text",
"notes": null,
"isActive": true,
"runTimeout": null,
"sleep": null,
"waitingConditions": [
{
"type": "documentComplete",
"expected": null,
"isActive": true,
"timeout": null
}
],
"value": "text"
}Return a single step.
Token-based authentication with required prefix "Token"
A UUID string identifying this step.
Authentication credentials were missing or invalid.
Resource not found.
GET /api/v2/steps/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"type": "text",
"name": null,
"blockId": null,
"groupId": null,
"originGroupId": "text",
"notes": null,
"isActive": true,
"runTimeout": null,
"sleep": null,
"waitingConditions": [
{
"type": "documentComplete",
"expected": null,
"isActive": true,
"timeout": null
}
],
"value": "text"
}Token-based authentication with required prefix "Token"
A UUID string identifying this step.
Request body failed validation.
Authentication credentials were missing or invalid.
Resource not found.
PUT /api/v2/steps/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 279
{
"atIndex": null,
"type": "text",
"name": null,
"blockId": null,
"groupId": null,
"notes": null,
"isActive": true,
"runTimeout": null,
"sleep": null,
"waitingConditions": [
{
"type": "documentComplete",
"expected": null,
"isActive": true,
"isOverridden": true,
"timeout": null
}
],
"source": "api",
"value": "text"
}{
"id": "123e4567-e89b-12d3-a456-426614174000",
"type": "text",
"name": null,
"blockId": null,
"groupId": null,
"originGroupId": "text",
"notes": null,
"isActive": true,
"runTimeout": null,
"sleep": null,
"waitingConditions": [
{
"type": "documentComplete",
"expected": null,
"isActive": true,
"timeout": null
}
],
"value": "text"
}Remove a step.
Token-based authentication with required prefix "Token"
A UUID string identifying this step.
No response body
No content
Authentication credentials were missing or invalid.
Resource not found.
DELETE /api/v2/steps/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No content
Token-based authentication with required prefix "Token"
A UUID string identifying this step.
Request body failed validation.
Authentication credentials were missing or invalid.
Resource not found.
PATCH /api/v2/steps/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 279
{
"atIndex": null,
"type": "text",
"name": null,
"blockId": null,
"groupId": null,
"notes": null,
"isActive": true,
"runTimeout": null,
"sleep": null,
"waitingConditions": [
{
"type": "documentComplete",
"expected": null,
"isActive": true,
"isOverridden": true,
"timeout": null
}
],
"source": "api",
"value": "text"
}{
"id": "123e4567-e89b-12d3-a456-426614174000",
"type": "text",
"name": null,
"blockId": null,
"groupId": null,
"originGroupId": "text",
"notes": null,
"isActive": true,
"runTimeout": null,
"sleep": null,
"waitingConditions": [
{
"type": "documentComplete",
"expected": null,
"isActive": true,
"timeout": null
}
],
"value": "text"
}Last updated
Was this helpful?
